/* Cookie Banner */
.osano-cm-widget svg{
    opacity: 0;
}

.osano-cm-widget::before{
    content: "";
    width: 100%;
    height: 100%;
    display: block;
    background-image: url('/assets/RSW_cookie.svg');
}


/* SLIDER START */
/* Project Slider */
.carousel-cell-name {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 10%;
    opacity: 0;
    transition: opacity 250ms, transform 250ms, background-color 250ms;
    background-color: rgba(0,0,0,0);
}
.carousel-cell-name:hover {
    opacity: 1;
    transform: scale(0.9524);
    background-color: rgba(0,0,0,0.2);
}
.slider_projects .carousel-cell a, .slider_projects .carousel-cell a:hover, a.gallery-image-link, a.gallery-image-link:hover {
    color: white;
    text-decoration: none;
    font-size: 50px;
    text-align: center;
}
.gallery-image-link {
    cursor: pointer;
}

.slider_projects .bg-image-contain, .grid.gallery .gallery-image-link, .grid.gallery-continued .gallery-image-link, .teaser_image_2cols .image {
    transition: transform 250ms;
}

.slider_projects .bg-image-contain:hover, 
.grid.gallery .gallery-image-link:hover,  
.grid.gallery-continued .gallery-image-link:hover,
.teaser_image_2cols .image:hover {
    transform: scale(1.05);
}

.slider_projects .carousel-cell, .grid.gallery .gallery-image,  .grid.gallery-continued .gallery-image, .teaser_image_2cols .grid-column  {
    overflow: hidden;
}

/* All Sliders */
.carousel-navigation > .carousel-arrows-container > button {
    font-size: 40px;
}

.carousel-navigation > .carousel-arrows-container > button > span {
    display: block;
}
.carousel-navigation > .carousel-arrows-container > button.carousel-prev > span {
    font-size: 40px;
    transform: scale(-1,1);
    display: block;
}

.slider_text button.carousel-prev > span,
.slider_jobs button.carousel-prev > span,
.slider_instagram button.carousel-prev > span { 
    transform: scale(-1,1);
    display: block;
}

.carousel-navigation > .carousel-arrows-container > button.carousel-prev {
    margin-right: 10px;
}
a.gallery-image-link {
    background-repeat: no-repeat;
    background-size: cover;
}

@media (max-width:  720px) {
    .slider_projects_navigation .carousel-dots {
        display: none;
    }
    .slider_news_navigation .carousel-dots {
        display: none;
    }
    .carousel-navigation > .carousel-arrows-container {
        margin-top: 10px;
    }
    .carousel-cell a, .carousel-cell a:hover, a.gallery-image-link, a.gallery-image-link:hover,
    .slider_projects .carousel-cell a, .slider_projects .carousel-cell a:hover, a.gallery-image-link, a.gallery-image-link:hover {
        font-size: 20px;
    }

}

/* SLIDER END */

/* Disable Logo */
.menu-shell {
    height: auto;
}
main {
    /* padding-top: 30px; */
}
.mod-base.menu-base {
    display: none;
    position: fixed;
}
.mod-base.menu-base.fixed {
    display: block;
}
.mod-base.menu-bg {
    /* display: none; */
    height: 30px;
}

html {
    /* scroll-behavior: smooth; */
}



/* To-Confirm: Auch ganz oben auf der Seite Menü auf mobile bereits anzeigen */
@media (max-width: 959px) {
    .mod-base.menu-base {
        position: fixed;
        display: block;
        top: 0;
        left: 0;
        right: 0;
    }
    nav.nav-menu button.toggle {
        opacity: 1;
        pointer-events: auto;
    }
}

/* Scroll to top button */
#scrollToTopBtn {
    position: fixed; /* Fixed/sticky position */
    bottom: -10px; /* Place the button at the bottom of the page */
    right: 0px; /* Place the button 30px from the right */
    z-index: 99; /* Make sure it does not overlap */
    border: none; /* Remove borders */
    outline: none; /* Remove outline */
    background-color: #e6eff3; /* Set a background color */
    background-color: rgba(130, 175, 195, 1); /* Set a background color */
    background-color: #ff5d55; /* Set a background color */
    color: #3C667D; /* Text color */
    color: #fff; /* Text color */
    cursor: pointer; /* Add a mouse pointer on hover */
    width: 60px;
    max-width: 60px;
    padding: 0;
    padding-bottom: 10px;
    overflow: hidden;
    height: 70px;
    text-align: center;
    line-height: 40px;
    font-size: 40px; /* Increase font size */
    transition: transform 300ms;
    transform: translateY(0%);
    /* transform: translateY(100%); */
}

#scrollToTopBtn div {
    width: 100%;
    height: 100%;
    line-height: 60px;
    transform: rotate(180deg);
    transition: transform .5s;
}

#scrollToTopBtn.up div {
    transform: rotate(0deg)
}
/* 
#scrollToTopBtn.visible {
    transform: translateY(0%);
} */
  
#scrollToTopBtn:hover {
    transform: translateY(-10px);
}

/* Header Video */
.header-video {
    padding: 0px;
    position: absolute;
    overflow: hidden;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    display: block !important;
}
.header-video video {
    width: 100%;
    height: 100%;
    object-fit: cover;
    font-family: 'object-fit: cover;';
}

/* Captcha */

form#contact #cpt::placeholder {
    opacity: 1;
    color: #82AFC3;
  }

  
/* Misc */
@media (min-width: 960px) {
    .quote_2cols .text-left {
        font-size: 24px;
        line-height: 28.8px;
    }
}

.quote-wrapper {
    transition: height .5s;
}
.quote-item {
    transition: opacity .5s;
    opacity: 0;
    position: absolute;
}

.quote-item.qi-visible {
    opacity: 1;
}


.form-spacer {
    height: 75px;
}

@media (min-width: 1200px) {
    .header-base .nav-list li {
        font-size: 24px;
        line-height: 28.8px;
    }
}


@media (min-width: 960px) {
    .header-base .header-image {
        height: 80vh;
    }
}
/* 
@media (max-width:  720px) {}
@media (min-width:  720px) {}
@media (min-width:  960px) {} */
